Package: java.lang

## Interface Comparable

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `int` | `numberAwareCompareTo(Comparable other)` Provides a method that compares two comparables using Groovy's default number aware comparator.

- - ### Methods Detail

    - #### public int numberAwareCompareTo(Comparable other)

      Provides a method that compares two comparables using Groovy's default number aware comparator.

      Parameters:
        `other` - another Comparable
      Returns:
        a -ve number, 0 or a +ve number according to Groovy's compareTo contract
      Since:
        1.6.0